Subject: RE: Expanded ERO draft

From: Vach Kompella <[email-masked]>
Date: Tue, 27 Feb 2001 13:46:54 -0800

Eric,
 
OK, I didn't get: you were basically restating my point.  However, I think
you don't resolve such ambiguities in BCPs.  Changes in the text of the
draft (or more explicit EROs) are more apropos.
 
-Vach

-----Original Message-----
From: Eric Gray [mailto:[email-masked]]
Sent: Tuesday, February 27, 2001 1:22 PM
To: Vach Kompella
Cc: Kireeti Kompella; [email-masked]; [email-masked]
Subject: Re: Expanded ERO draft

Vach, 

    Thanks for the prompt reply.  However, it doesn't really 
help.  :-) 

    Consider that I may have a function "isMe()" that I use 
to eliminate self-references in an ERO.  If, as you say, B 
recognizes that '1' is an interface by which upstream LSR 
A knows B, then this function should return true every time 
it is passed the value '1' in a context in which it has gotten 
an ERO in a message from LSR A.  In this case, iterative 
calls to "isMe()" would result in removing all of the '1's 
in the ERO. 

-- 
Eric Gray 

You wrote: 

 Eric,The interfaces shown are numbered with an outbound perspective, if I
understand Kireeti's picture correctly.  B understands that the AB link is
numbered 1 according to A, and that its own BC link is numbered 1.My comment
is on clarifying the processing of the unnum subobjects.-Vach 

-----Original Message----- 
From: Eric Gray [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Tuesday, February 27, 2001 12:48 PM 
To: Kireeti Kompella 
Cc: [email-masked]; [email-masked]; [email-masked] 
Subject: Re: Expanded ERO draft 
 
Kireeti, 

    Out of curiosity, how many un-numbered interfaces can 
B have that are known to it as interface 1? 

-- 
Eric Gray 

You wrote: 

Vach, Yakov, 

> > The other aspect is the first clause of the quoted sentence above from
the 
> > rsvp-unnum draft: "all initial subobjects that refer to itself." 
> 
> The text needs to be clarified to say something like "all initial
subobjects 
> of type other than Unnumbered Interface ID"...". 

While the change in text is possible, it is clear that, unless the 
interface is physically looped back to itself, the second subobject 
does *not* refer to "itself". 

             1       1       1 
         A ----- B ----- C ----- D 

B receives an ERO of (1, 1, 1) from A (PHOP).  B checks that (A, 1) 
refers to itself, removes it.  Now it sees unnum interface 1, which 
clearly points at C.  Why would B think that this "1" refers to B? 

Kireeti.